//
// C++ Interface: kmfruleeditinterface
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
// License: GPL
//
#ifndef KMFRULEEDITINTERFACE_H
#define KMFRULEEDITINTERFACE_H

#include <tqptrlist.h>

#include <kdemacros.h>
/**
@author Christian Hubinger
*/
class TQString;
namespace KMF {



class KDE_EXPORT KMFRuleEditInterface{
public:
    KMFRuleEditInterface();
    virtual ~KMFRuleEditInterface();
	virtual void addRuleOption(TQString*, TQPtrList< TQString >* ) = 0;
	virtual void addRuleTargetOption(TQString*, TQPtrList< TQString >* ) = 0; 
	virtual void showOverview() = 0; 
};
}
#endif
